""" ZopeEditArea """
from config import *
from edit_area_js import eascript
from Products.PageTemplates.ZopePageTemplate import ZopePageTemplate
from Products.PageTemplates.PageTemplateFile import PageTemplateFile
from Products.PythonScripts.PythonScript import PythonScript
from Globals import DTMLFile, ImageFile
from OFS.Image import File
from OFS.DTMLMethod import DTMLMethod
from OFS.DTMLDocument import DTMLDocument

if config['pagetemplate']['use']:
 ZopePageTemplate.pt_editForm=PageTemplateFile('www/ptEdit', globals(),__name__='pt_editForm')
 ZopePageTemplate.manage=ZopePageTemplate.manage_main=ZopePageTemplate.pt_editForm
 
if config['pythonscript']['use']: 
 File.manage_editForm=DTMLFile('www/fileEdit',globals(),Kind='File',kind='file')
 File.manage=File.manage_main=File.manage_editForm

if config['dtmlmethod']['use']:
 DTMLMethod.manage_editForm=DTMLFile('www/methodEdit', globals())
 DTMLMethod.manage=DTMLMethod.manage_main=DTMLMethod.manage_editForm

if config['dtmldoc']['use']:
 DTMLDocument.manage_editForm=DTMLFile('www/documentEdit', globals())
 DTMLDocument.manage=DTMLDocument.manage_main=DTMLDocument.manage_editForm
 
if config['fileedit']['use']:
 PythonScript.ZPythonScriptHTML_editForm=DTMLFile('www/pyScriptEdit', globals())
 PythonScript.manage=PythonScript.manage_main=PythonScript.ZPythonScriptHTML_editForm

from Products import __path__ as p
import os
misc_ = {} 
root='www/edit_area'
files = os.listdir(p[0]+'/ZopeEditArea/'+root)
for f in files:
  if not os.path.isdir(p[0]+'/ZopeEditArea/'+root+'/'+f):
    misc_[f] = ImageFile(root+'/'+f, globals())
misc_['script'] = eascript
# using ImageFile for .js files seems stupid, but it works, so who cares; maybe i'll fix it some day ;-)