language='en'         # currently supported languages are de, dk, en, fr, it, ja, nl, pl and pt

# set 'use' to 0 if you don't want some textareas to be replaced
config = {
'pagetemplate' : { 
  'use' : 1,
  'textarea_id' : 'text:text',
  'syntax' : 'html',
  'submit_button' : 'pt_editAction:method',
  'syntax_highlite' : 'false',
  'language':language
 },	
'pythonscript' : { 
  'use' : 1,
  'textarea_id' : 'body:text',
  'syntax' : 'python',
  'submit_button' : 'ZPythonScriptHTML_editAction:method',
  'syntax_highlite' : 'false',
  'language':language
 },	
'dtmlmethod' : { 
  'use' : 1,
  'textarea_id' : 'data:text',
  'syntax' : 'css',                  # as in plone this is mostly used for css files
  'submit_button' : 'SUBMIT',
  'syntax_highlite' : 'false',
  'language':language
 },	
'dtmldoc' : { 
  'use' : 1,
  'textarea_id' : 'data:text',
  'syntax' : 'xml',
  'submit_button' : 'SUBMIT',
  'syntax_highlite' : 'false',
  'language':language
 },	
'fileedit' : {
  'use' : 1,
  'textarea_id' : 'filedata:text',
  'syntax' : 'js',
  'submit_button' : 'manage_edit:method',
  'syntax_highlite' : 'false',
  'language':language
 },	
}